import socket
import struct
import random
import time
import string

import hashlib
from tkio import clickandroid
from tkio import tkioreceiveandroid





# md5加密转大写
def computeMD5upper(message):
    m = hashlib.md5()
    m.update(message.encode(encoding='utf-8'))
    return m.hexdigest().upper()


# md5加密转xiao写
def computeMD5lower(message):
    m = hashlib.md5()
    m.update(message.encode(encoding='utf-8'))
    return m.hexdigest()


# 生成小写字母加数字组合
n = 10


def code_nums1(n=6):
    ret = ''
    for i in range(n):
        num = random.randint(0, 9)
        letter = chr(random.randint(97, 122))
        s = str(random.choice([num, letter]))
        ret += s
    return ret


# -----------------------------------点击激活的imei／imei_MD5，oaid，androidid，mac，ip值相同，归因到imei---------------------
# 点击imei=111，oaid=222，androidid=333，mac=444，ip=1.1.1.1激活imei=111，oaid=222，androidid=333，mac=444，ip=1.1.1.1
def test_imei1():
    i = code_nums1(32)
    oaid = code_nums1(15)
    mac = code_nums1(32)
    androidid = code_nums1(16)
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickandroid.parms['imei'] = i
    clickandroid.parms['imei_MD5'] = ''
    clickandroid.parms['oaid'] = oaid
    clickandroid.parms['androidid'] = androidid
    clickandroid.parms['mac'] = mac
    clickandroid.parms['ip'] = ip
    clickandroid.send_requestandroid('')
    time.sleep(5)
    tkioreceiveandroid.data['context']['_deviceid'] = i
    tkioreceiveandroid.data['context']['_imei'] = i
    tkioreceiveandroid.data['context']['_oaid'] = oaid
    tkioreceiveandroid.data['context']['_androidid'] = androidid
    tkioreceiveandroid.data['context']['_mac'] = mac
    tkioreceiveandroid.data['context']['_ip'] = ip
    tkioreceiveandroid.send_request()
    print(i)
    print(ip)




# 点击imei=111，oaid=222，androidid=333，mac=444，ip=1.1.1.1，muid=555激活imei=555，oaid=222，androidid=333，mac=444，ip=1.1.1.1
def test_imei2():
    i = code_nums1(32)
    oaid = code_nums1(15)
    mac = code_nums1(32)
    androidid = code_nums1(16)
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickandroid.parms['imei'] = '111'
    clickandroid.parms['imei_MD5'] = ''
    clickandroid.parms['oaid'] = oaid
    clickandroid.parms['androidid'] = androidid
    clickandroid.parms['mac'] = mac
    clickandroid.parms['muid'] = i
    clickandroid.parms['ip'] = ip
    clickandroid.send_requestandroid('')
    time.sleep(5)
    tkioreceiveandroid.data['context']['_deviceid'] = i
    tkioreceiveandroid.data['context']['_imei'] = i
    tkioreceiveandroid.data['context']['_oaid'] = oaid
    tkioreceiveandroid.data['context']['_androidid'] = androidid
    tkioreceiveandroid.data['context']['_mac'] = mac
    tkioreceiveandroid.data['context']['_ip'] = ip
    tkioreceiveandroid.send_request()
    print(i)


# 点击imei=111，oaid=222，androidid=333，mac=444，ip=1.1.1.1，muid=555，imei_MD5=666激活imei=666，oaid=222，androidid=333，mac=444，ip=1.1.1.1
def test_imei3():
    i = code_nums1(32)
    oaid = code_nums1(15)
    mac = code_nums1(32)
    androidid = code_nums1(16)
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickandroid.parms['imei'] = '111'
    clickandroid.parms['imei_MD5'] = computeMD5lower(i)
    clickandroid.parms['oaid'] = oaid
    clickandroid.parms['androidid'] = androidid
    clickandroid.parms['mac'] = mac
    clickandroid.parms['muid'] = ''
    clickandroid.parms['ip'] = ip
    clickandroid.send_requestandroid('')
    time.sleep(5)
    tkioreceiveandroid.data['context']['_deviceid'] = i
    tkioreceiveandroid.data['context']['_imei'] = i
    tkioreceiveandroid.data['context']['_oaid'] = oaid
    tkioreceiveandroid.data['context']['_androidid'] = androidid
    tkioreceiveandroid.data['context']['_mac'] = mac
    tkioreceiveandroid.data['context']['_ip'] = ip
    tkioreceiveandroid.send_request()
    print(i)


# -----------------------------------点击激活的imei／imei_MD5值不相同，oaid，androidid，mac，ip值相同，归因到oaid／oaid_MD5-----------------------------------
# 点击imei=111，oaid=222，androidid=333，mac=444，ip=1.1.1.1激活imei=999，oaid=222，androidid=333，mac=444，ip=1.1.1.1

def test_oaid1():
    i = code_nums1(32)
    oaid = code_nums1(15)
    mac = code_nums1(32)
    androidid = code_nums1(16)
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickandroid.parms['imei'] = '111'
    clickandroid.parms['imei_MD5'] = ''
    clickandroid.parms['oaid'] = oaid
    clickandroid.parms['androidid'] = androidid
    clickandroid.parms['mac'] = mac
    clickandroid.parms['muid'] = ''
    clickandroid.parms['ip'] = ip
    clickandroid.send_requestandroid('')
    time.sleep(5)
    tkioreceiveandroid.data['context']['_deviceid'] = i
    tkioreceiveandroid.data['context']['_imei'] = i
    tkioreceiveandroid.data['context']['_oaid'] = oaid
    tkioreceiveandroid.data['context']['_androidid'] = androidid
    tkioreceiveandroid.data['context']['_mac'] = mac
    tkioreceiveandroid.data['context']['_ip'] = ip
    tkioreceiveandroid.send_request()
    print(i)


# 点击imei=111，oaid=222，androidid=333，mac=444，ip=1.1.1.1，muid=555激活imei=999，oaid=555，androidid=333，mac=444，ip=1.1.1.1
def test_oaid2():
    i = code_nums1(32)
    oaid = code_nums1(15)
    mac = code_nums1(32)
    androidid = code_nums1(16)
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickandroid.parms['imei'] = '111'
    clickandroid.parms['imei_MD5'] = ''
    clickandroid.parms['oaid'] = ''
    clickandroid.parms['androidid'] = androidid
    clickandroid.parms['mac'] = mac
    clickandroid.parms['muid'] = oaid
    clickandroid.parms['ip'] = ip
    clickandroid.send_requestandroid('')
    time.sleep(5)
    tkioreceiveandroid.data['context']['_deviceid'] = i
    tkioreceiveandroid.data['context']['_imei'] = i
    tkioreceiveandroid.data['context']['_oaid'] = oaid
    tkioreceiveandroid.data['context']['_androidid'] = androidid
    tkioreceiveandroid.data['context']['_mac'] = mac
    tkioreceiveandroid.data['context']['_ip'] = ip
    tkioreceiveandroid.send_request()
    print(i)


# 点击imei=111，oaid=222，androidid=333，mac=444，ip=1.1.1.1，muid=555，imei_MD5=666，oaid_MD5=888激活imei=777，oaid=888，androidid=333，mac=444，ip=1.1.1.1
def test_oaid3():
    i = code_nums1(32)
    oaid = code_nums1(15)
    mac = code_nums1(32)
    androidid = code_nums1(16)
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickandroid.parms['imei'] = '111'
    clickandroid.parms['imei_MD5'] = ''
    clickandroid.parms['oaid'] = ''
    clickandroid.parms['oaid_MD5'] = computeMD5lower(oaid)
    clickandroid.parms['androidid'] = androidid
    clickandroid.parms['mac'] = mac
    clickandroid.parms['muid'] = ''
    clickandroid.parms['ip'] = ip
    clickandroid.send_requestandroid('')
    time.sleep(5)
    tkioreceiveandroid.data['context']['_deviceid'] = i
    tkioreceiveandroid.data['context']['_imei'] = i
    tkioreceiveandroid.data['context']['_oaid'] = oaid
    tkioreceiveandroid.data['context']['_androidid'] = androidid
    tkioreceiveandroid.data['context']['_mac'] = mac
    tkioreceiveandroid.data['context']['_ip'] = ip
    tkioreceiveandroid.send_request()
    print(i)


# -----------------------------点击激活的imei／imei_MD5，oaid／oaid_MD5值不相同，androidid／androidid_MD5，mac，ip值相同，归因到androidid／androidid_MD5---------------------
# 点击imei=111，oaid=222，androidid=333，mac=444，ip=1.1.1.1，muid=555激活imei=888，oaid=999，androidid=333，mac=444，ip=1.1.1.1
def test_androidid1():
    i = code_nums1(32)
    oaid = code_nums1(15)
    mac = code_nums1(32)
    androidid = code_nums1(16)
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickandroid.parms['imei'] = '111'
    clickandroid.parms['imei_MD5'] = '222'
    clickandroid.parms['oaid'] = ''
    clickandroid.parms['oaid_MD5'] = ''
    clickandroid.parms['androidid'] = androidid
    clickandroid.parms['mac'] = mac
    clickandroid.parms['muid'] = ''
    clickandroid.parms['ip'] = ip
    clickandroid.send_requestandroid('')
    time.sleep(5)
    tkioreceiveandroid.data['context']['_deviceid'] = i
    tkioreceiveandroid.data['context']['_imei'] = i
    tkioreceiveandroid.data['context']['_oaid'] = oaid
    tkioreceiveandroid.data['context']['_androidid'] = androidid
    tkioreceiveandroid.data['context']['_mac'] = mac
    tkioreceiveandroid.data['context']['_ip'] = ip
    tkioreceiveandroid.send_request()
    print(i)


# 点击imei=111，oaid=222，androidid=‘’，mac=444，ip=1.1.1.1，muid=555，androidid_MD5=333激活imei=888，oaid=999，androidid=333，mac=444，ip=1.1.1.1
def test_androidid2():
    i = code_nums1(32)
    oaid = code_nums1(15)
    mac = code_nums1(32)
    androidid = code_nums1(16)
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickandroid.parms['imei'] = '111'
    clickandroid.parms['imei_MD5'] = '222'
    clickandroid.parms['oaid'] = ''
    clickandroid.parms['oaid_MD5'] = ''
    clickandroid.parms['androidid'] = ''
    clickandroid.parms['androidid_MD5'] = computeMD5lower(androidid)
    clickandroid.parms['mac'] = mac
    clickandroid.parms['muid'] = ''
    clickandroid.parms['ip'] = ip
    clickandroid.send_requestandroid('')
    time.sleep(5)
    tkioreceiveandroid.data['context']['_deviceid'] = i
    tkioreceiveandroid.data['context']['_imei'] = i
    tkioreceiveandroid.data['context']['_oaid'] = oaid
    tkioreceiveandroid.data['context']['_androidid'] = androidid
    tkioreceiveandroid.data['context']['_mac'] = mac
    tkioreceiveandroid.data['context']['_ip'] = ip
    tkioreceiveandroid.send_request()
    print(i)


# --------------------------点击激活的imei／imei_MD5，oaid／oaid_MD5，androidid／androidid_MD5值不相同，mac\mac_MD5，ip，ipv6值相同，归因到mac\mac_MD5--------------------
# 点击imei=111，oaid=222，androidid=‘’，mac=444，ip=1.1.1.1，muid=555，androidid_MD5=898激活imei=888，oaid=999，androidid=333，mac=444，ip=1.1.1.1
def test_mac1():
    i = code_nums1(32)
    oaid = code_nums1(15)
    mac = code_nums1(32)
    androidid = code_nums1(16)
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickandroid.parms['imei'] = '111'
    clickandroid.parms['imei_MD5'] = '222'
    clickandroid.parms['oaid'] = ''
    clickandroid.parms['oaid_MD5'] = ''
    clickandroid.parms['androidid'] = ''
    clickandroid.parms['androidid_MD5'] = '343'
    clickandroid.parms['mac'] = mac
    clickandroid.parms['muid'] = ''
    clickandroid.parms['ip'] = ip
    clickandroid.send_requestandroid('')
    time.sleep(5)
    tkioreceiveandroid.data['context']['_deviceid'] = i
    tkioreceiveandroid.data['context']['_imei'] = i
    tkioreceiveandroid.data['context']['_oaid'] = oaid
    tkioreceiveandroid.data['context']['_androidid'] = androidid
    tkioreceiveandroid.data['context']['_mac'] = mac
    tkioreceiveandroid.data['context']['_ip'] = ip
    tkioreceiveandroid.send_request()
    print(i)


# 点击imei=111，oaid=222，androidid=‘’，mac=md5 444，ip=1.1.1.1，muid=555，androidid_MD5=898激活imei=888，oaid=999，androidid=333，mac=444，ip=1.1.1.1
def test_mac2():
    i = code_nums1(32)
    i2 = code_nums1(32)
    oaid = code_nums1(15)
    mac = code_nums1(32)
    androidid = code_nums1(16)
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickandroid.parms['imei'] = i2
    clickandroid.parms['imei_MD5'] = '222'
    clickandroid.parms['oaid'] = ''
    clickandroid.parms['oaid_MD5'] = ''
    clickandroid.parms['androidid'] = ''
    clickandroid.parms['androidid_MD5'] = '343'
    clickandroid.parms['mac'] = computeMD5lower(mac)
    clickandroid.parms['muid'] = ''
    clickandroid.parms['ip'] = ip
    clickandroid.send_requestandroid('')
    time.sleep(5)
    tkioreceiveandroid.data['context']['_deviceid'] = i
    tkioreceiveandroid.data['context']['_imei'] = i
    tkioreceiveandroid.data['context']['_oaid'] = oaid
    tkioreceiveandroid.data['context']['_androidid'] = androidid
    tkioreceiveandroid.data['context']['_mac'] = mac
    tkioreceiveandroid.data['context']['_ip'] = ip
    tkioreceiveandroid.send_request()
    print(i)


# --------------------------点击激活的imei／imei_MD5，oaid／oaid_MD5，androidid／androidid_MD5，mac\mac_MD5值不相同，ip，ipv6值相同，归因到ip／ipv6--------------

# 点击imei=111，oaid=222，androidid=‘’，mac=444，ip=1.1.1.1，ipv6=2.2.2.2，muid=555，androidid_MD5=898激活imei=888，oaid=999，androidid=333，mac=5444，ip=1.1.1.1，ipv6=2.2.2.2，
def test_ip1():
    i = code_nums1(32)
    i2 = code_nums1(32)
    oaid = code_nums1(15)
    mac = code_nums1(32)
    androidid = code_nums1(16)
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    ip2 = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))

    clickandroid.parms['imei'] = i2
    clickandroid.parms['imei_MD5'] = '222'
    clickandroid.parms['oaid'] = ''
    clickandroid.parms['oaid_MD5'] = ''
    clickandroid.parms['androidid'] = ''
    clickandroid.parms['androidid_MD5'] = '343'
    clickandroid.parms['mac'] = ''
    clickandroid.parms['muid'] = ''
    clickandroid.parms['ip'] = ip
    clickandroid.parms['ipv6'] = ip2
    clickandroid.send_requestandroid('')
    time.sleep(5)
    tkioreceiveandroid.data['context']['_deviceid'] = i
    tkioreceiveandroid.data['context']['_imei'] = i
    tkioreceiveandroid.data['context']['_oaid'] = oaid
    tkioreceiveandroid.data['context']['_androidid'] = androidid
    tkioreceiveandroid.data['context']['_mac'] = mac
    tkioreceiveandroid.data['context']['_ip'] = ip
    tkioreceiveandroid.data['context']['_ipv6'] = ip2
    tkioreceiveandroid.send_request()
    print(i)

# 点击imei=111，oaid=222，androidid=‘’，mac=444，ip=1.1.1.2，ipv6=2.2.2.2，muid=555，androidid_MD5=898激活imei=888，oaid=999，androidid=333，mac=5444，ip=1.1.1.1，ipv6=2.2.2.2，
def test_ip2():
    i = code_nums1(32)
    i2 = code_nums1(32)
    oaid = code_nums1(15)
    mac = code_nums1(32)
    androidid = code_nums1(16)
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    ip2 = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))

    clickandroid.parms['imei'] = i2
    clickandroid.parms['imei_MD5'] = '222'
    clickandroid.parms['oaid'] = ''
    clickandroid.parms['oaid_MD5'] = ''
    clickandroid.parms['androidid'] = ''
    clickandroid.parms['androidid_MD5'] = '343'
    clickandroid.parms['mac'] = ''
    clickandroid.parms['muid'] = ''
    clickandroid.parms['ip'] = ip2
    clickandroid.send_requestandroid('')
    time.sleep(5)
    tkioreceiveandroid.data['context']['_deviceid'] = i
    tkioreceiveandroid.data['context']['_imei'] = i
    tkioreceiveandroid.data['context']['_oaid'] = oaid
    tkioreceiveandroid.data['context']['_androidid'] = androidid
    tkioreceiveandroid.data['context']['_mac'] = mac
    tkioreceiveandroid.data['context']['_ip'] = ip
    tkioreceiveandroid.data['context']['_ipv6'] = ip2
    tkioreceiveandroid.send_request()
    print(i)






# --------------------------开启自定义归因后，对选择的设备id以及ip验证-----------------------
# 不选择imei，选择oaid，androidid，mac，ip
# imei,oaid,androidid,mac,ip相同，归因到oaid

def test_at1():
    i = code_nums1(32)
    oaid = code_nums1(15)
    mac = code_nums1(32)
    androidid = code_nums1(16)
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickandroid.parms['imei'] = i
    clickandroid.parms['imei_MD5'] = computeMD5lower(i)
    clickandroid.parms['oaid'] = oaid
    clickandroid.parms['androidid'] = androidid
    clickandroid.parms['mac'] = mac
    clickandroid.parms['ip'] = ip
    clickandroid.send_requestandroid('')
    time.sleep(5)
    tkioreceiveandroid.data['context']['_deviceid'] = i
    tkioreceiveandroid.data['context']['_imei'] = i
    tkioreceiveandroid.data['context']['_oaid'] = oaid
    tkioreceiveandroid.data['context']['_androidid'] = androidid
    tkioreceiveandroid.data['context']['_mac'] = mac
    tkioreceiveandroid.data['context']['_ip'] = ip
    tkioreceiveandroid.send_request()
    print(i)


# 不选择imei，oaid，选择androidid，mac，ip
# imei,oaid,androidid,mac,ip相同，归因到androidid
def test_at2():
    i = code_nums1(32)
    oaid = code_nums1(15)
    mac = code_nums1(32)
    androidid = code_nums1(16)
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickandroid.parms['imei'] = i
    clickandroid.parms['imei_MD5'] = computeMD5lower(i)
    clickandroid.parms['oaid'] = oaid
    clickandroid.parms['androidid'] = androidid
    clickandroid.parms['mac'] = mac
    clickandroid.parms['ip'] = ip
    clickandroid.send_requestandroid('')
    time.sleep(5)
    tkioreceiveandroid.data['context']['_deviceid'] = i
    tkioreceiveandroid.data['context']['_imei'] = i
    tkioreceiveandroid.data['context']['_oaid'] = oaid
    tkioreceiveandroid.data['context']['_androidid'] = androidid
    tkioreceiveandroid.data['context']['_mac'] = mac
    tkioreceiveandroid.data['context']['_ip'] = ip
    tkioreceiveandroid.send_request()
    print(i)



# 不选择imei，oaid，androidid，选择mac，ip
# imei,oaid,androidid,mac,ip相同，归因到mac
def test_at3():
    i = code_nums1(32)
    oaid = code_nums1(15)
    mac = code_nums1(32)
    androidid = code_nums1(16)
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickandroid.parms['imei'] = i
    clickandroid.parms['imei_MD5'] = computeMD5lower(i)
    clickandroid.parms['oaid'] = oaid
    clickandroid.parms['androidid'] = androidid
    clickandroid.parms['mac'] = mac
    clickandroid.parms['ip'] = ip
    clickandroid.send_requestandroid('')
    time.sleep(5)
    tkioreceiveandroid.data['context']['_deviceid'] = i
    tkioreceiveandroid.data['context']['_imei'] = i
    tkioreceiveandroid.data['context']['_oaid'] = oaid
    tkioreceiveandroid.data['context']['_androidid'] = androidid
    tkioreceiveandroid.data['context']['_mac'] = mac
    tkioreceiveandroid.data['context']['_ip'] = ip
    tkioreceiveandroid.send_request()
    print(i)


# 不选择imei，oaid，androidid，mac，选择ip
# imei,oaid,androidid,mac,ip相同，归因到ip
def test_at4():
    i = code_nums1(32)
    oaid = code_nums1(15)
    mac = code_nums1(32)
    androidid = code_nums1(16)
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickandroid.parms['imei'] = i
    clickandroid.parms['imei_MD5'] = computeMD5lower(i)
    clickandroid.parms['oaid'] = oaid
    clickandroid.parms['androidid'] = androidid
    clickandroid.parms['mac'] = mac
    clickandroid.parms['ip'] = ip
    clickandroid.send_requestandroid('')
    time.sleep(5)
    tkioreceiveandroid.data['context']['_deviceid'] = i
    tkioreceiveandroid.data['context']['_imei'] = i
    tkioreceiveandroid.data['context']['_oaid'] = oaid
    tkioreceiveandroid.data['context']['_androidid'] = androidid
    tkioreceiveandroid.data['context']['_mac'] = mac
    tkioreceiveandroid.data['context']['_ip'] = ip
    tkioreceiveandroid.send_request()
    print(i)



# 展示归因验证
# 开启【自定义归因】-选择mac归因后，展示归因可按照之前逻辑（imei）归因
def test_at5():
    i = code_nums1(32)
    oaid = code_nums1(15)
    mac = code_nums1(32)
    androidid = code_nums1(16)
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickandroid.parms['imei'] = i
    clickandroid.parms['imei_MD5'] = computeMD5lower(i)
    clickandroid.parms['oaid'] = oaid
    clickandroid.parms['androidid'] = androidid
    clickandroid.parms['mac'] = mac
    clickandroid.parms['ip'] = ip
    clickandroid.send_requestandroid('&impression=true')
    time.sleep(5)
    tkioreceiveandroid.data['context']['_deviceid'] = i
    tkioreceiveandroid.data['context']['_imei'] = i
    tkioreceiveandroid.data['context']['_oaid'] = oaid
    tkioreceiveandroid.data['context']['_androidid'] = androidid
    tkioreceiveandroid.data['context']['_mac'] = mac
    tkioreceiveandroid.data['context']['_ip'] = ip
    tkioreceiveandroid.send_request()
    print(i)


# 点击存储验证
def test_click():
    i = code_nums1(32)
    oaid = code_nums1(15)
    mac = code_nums1(32)
    androidid = code_nums1(16)
    muid = code_nums1(16)
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickandroid.parms['imei'] = i
    clickandroid.parms['imei_MD5'] = computeMD5lower(i)
    clickandroid.parms['oaid'] = oaid
    clickandroid.parms['oaid_MD5'] = computeMD5lower(oaid)
    clickandroid.parms['androidid'] = androidid
    clickandroid.parms['androidid_MD5'] = computeMD5lower(androidid)
    clickandroid.parms['mac'] = mac
    clickandroid.parms['muid'] = muid
    clickandroid.parms['ip'] = ip
    clickandroid.send_requestandroid('')
    print(i)
    print(oaid)
    print(mac)
    print(androidid)
    print(muid)
    print(ip)



def test_hl():
    i = code_nums1(32)
    oaid = code_nums1(15)
    mac = code_nums1(32)
    androidid = code_nums1(16)
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickandroid.parms['imei'] = i
    clickandroid.parms['imei_MD5'] = computeMD5lower(i)
    clickandroid.parms['oaid'] = oaid
    clickandroid.parms['androidid'] = androidid
    clickandroid.parms['mac'] = mac
    clickandroid.parms['ip'] = ip
    clickandroid.send_requestandroid('')
    time.sleep(5)
    tkioreceiveandroid.data['context']['_deviceid'] = i
    tkioreceiveandroid.data['context']['_imei'] = i
    tkioreceiveandroid.data['context']['_oaid'] = oaid
    tkioreceiveandroid.data['context']['_androidid'] = androidid
    tkioreceiveandroid.data['context']['_mac'] = 'null'
    tkioreceiveandroid.data['context']['_ip'] = ip
    tkioreceiveandroid.send_request()
    time.sleep(300)
    clickandroid.parms['imei'] = i
    clickandroid.parms['imei_MD5'] = computeMD5lower(i)
    clickandroid.parms['oaid'] = oaid
    clickandroid.parms['androidid'] = androidid
    clickandroid.parms['mac'] = mac
    clickandroid.parms['ip'] = ip
    clickandroid.send_requestandroid('')
    time.sleep(3)
    tkioreceiveandroid.data['what'] = 'loggedin'
    tkioreceiveandroid.data['context']['_deviceid'] = i
    tkioreceiveandroid.data['context']['_imei'] = i
    tkioreceiveandroid.data['context']['_oaid'] = oaid
    tkioreceiveandroid.data['context']['_androidid'] = androidid
    tkioreceiveandroid.data['context']['_mac'] = ''
    tkioreceiveandroid.data['context']['_ip'] = ip
    tkioreceiveandroid.data['context']['serverid'] = ip
    tkioreceiveandroid.send_requestlogin()
    print(i)
    print(ip)



# 开启了自定义归因，不按照lastclick归因，按照设备优先级归因
def test_at6():
    i = code_nums1(32)
    i2 = code_nums1(32)
    oaid = code_nums1(15)
    mac = code_nums1(32)
    androidid = code_nums1(16)
    ip = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    ip2 = socket.inet_ntoa(struct.pack('>I', random.randint(1, 0xffffffff)))
    clickandroid.parms['imei'] = i
    clickandroid.parms['imei_MD5'] = ''
    clickandroid.parms['oaid'] = ''
    clickandroid.parms['androidid'] = ''
    clickandroid.parms['mac'] = ''
    clickandroid.parms['ip'] = ip
    clickandroid.send_requestandroid('')
    time.sleep(3)
    clickandroid.parms['imei'] = i2
    clickandroid.parms['imei_MD5'] = ''
    clickandroid.parms['oaid'] = ''
    clickandroid.parms['androidid'] = ''
    clickandroid.parms['mac'] = ''
    clickandroid.parms['ip'] = ip2
    clickandroid.send_requestandroid('')
    time.sleep(5)
    tkioreceiveandroid.data['context']['_deviceid'] = i
    tkioreceiveandroid.data['context']['_imei'] = i
    tkioreceiveandroid.data['context']['_oaid'] = oaid
    tkioreceiveandroid.data['context']['_androidid'] = androidid
    tkioreceiveandroid.data['context']['_mac'] = mac
    tkioreceiveandroid.data['context']['_ip'] = ip2
    tkioreceiveandroid.send_request()
    print(i)
    print(i2)
    print(ip)